Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000252Built-In ExtensionsPlurality (Emily Short)public2010-08-18 21:152010-10-29 09:27
Reporteremshort 
Assigned Toemshort 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000252: Unnamed every turn rule in Plurality
DescriptionIn version 8 of Plurality there is an un-named every turn rule that
changes the pronouns if either of the first or second nouns in the
action are ambiguously plural.

The every turn rule obliterates the effect of the "have the parser
notice" in the code for any command that mentions an ambiguously
plural noun. Worse, because the rule is un-named (and part of a large
section), I can't correct this in my game without modifying the source
of your extension (or dropping ambiguously plural from some things which
causes other grief).


Could you please at least name this rule in a future version.

Perhaps also consider moving the rule to somewhere else in the turn
sequence, before or after the "set pronouns from items from multiple
object lists rule" in the action-processing rulebook seems to work.

Or even consider another solution that doesn't involve a rule (possibly
providing a modified PronounNotice() I6 routine, I haven't looked into
it enough to know).
Minimal Source Text To Reproduce
Include Plurality by Emily Short.
The Lab is a room.
The bedclothes are here.
The broken locket is in the bedclothes.
The bedclothes are ambiguously plural.  [Without this it works]

Instead of searching the bedclothes:
	say "Among the sheets you find a broken locket.";
	have the parser notice the locket.

Test me with "nouns / search bedclothes / nouns / x it".
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2010-08-18 21:15 emshort New Issue
2010-08-18 21:15 emshort Status new => assigned
2010-08-18 21:15 emshort Assigned To => emshort
2010-08-18 21:16 emshort Status assigned => resolved
2010-08-18 21:16 emshort Resolution open => fixed
2010-08-19 14:06 dchapes Issue Monitored: dchapes
2010-10-29 09:26 jmcgrew Fixed in Version => 6F95
2010-10-29 09:27 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker